-- name: CreateUsuario :one
INSERT INTO usuarios (email, senha_hash, role)
VALUES ($1, $2, $3)
RETURNING *;

-- name: GetUsuarioByEmail :one
SELECT * FROM usuarios
WHERE email = $1 LIMIT 1;

-- name: GetUsuarioByID :one
SELECT * FROM usuarios
WHERE id = $1 LIMIT 1;

-- name: DeleteUsuario :exec
DELETE FROM usuarios
WHERE id = $1;
